package Halo;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "Halo.idl"
 * <li> <b>IDL Name</b>      ::Halo::ElemLista
 * <li> <b>Repository Id</b> IDL:Halo/ElemLista:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * valuetype ElemLista  {
  ...
};
 * </pre>
 */
public abstract class ElemLista implements org.omg.CORBA.portable.StreamableValue  {
  /**
   * <pre>
   *   public  sequence&ltHalo.Elem&gt elemek;
   * </pre>
   */
  public Halo.Elem[] elemek;
  /**
   * <pre>
   *   boolean ures ();
   * </pre>
   */
  abstract public boolean ures ();

  /**
   * <pre>
   *   void mutat ();
   * </pre>
   */
  abstract public void mutat ();

  private transient java.util.Hashtable _printMap = null;
  public java.lang.String toString() {
    final java.lang.StringBuffer _ret = new java.lang.StringBuffer("valuetype Halo.ElemLista {");
    final java.lang.Thread _currentThread = java.lang.Thread.currentThread();
    boolean justCreated = false;
    if (_printMap == null) {
      synchronized (this) {
        if (_printMap == null) {
          justCreated = true;
          _printMap = new java.util.Hashtable();
        }
      }
    }
    if (!justCreated) {
      if (_printMap.get(_currentThread) != null) {
        _ret.append("...}");
        return _ret.toString();
      }
    }
    _printMap.put(_currentThread, this);

    _ret.append("\n");
    _ret.append("Halo.Elem[] elemek=");
    _ret.append("{");
    if (elemek == null) {
      _ret.append(elemek);
    } else {
      for (int $counter0 = 0; $counter0 < elemek.length; $counter0++) {
        _ret.append(elemek[$counter0]);
        if ($counter0 < elemek.length - 1) {
          _ret.append(",");
        }
      }
    }
    _ret.append("}");
    _ret.append("\n");
    _printMap.remove(_currentThread);
    _ret.append("}");
    return _ret.toString();
  }

  private transient java.util.Hashtable _cmpMap = null;
  public boolean equals (java.lang.Object o) {
    if (this == o) return true;
    if (o == null) return false;

    final java.lang.Thread _currentThread = java.lang.Thread.currentThread();
    boolean justCreated = false;
    if (_cmpMap == null) {
      synchronized (this) {
        if (_cmpMap == null) {
          justCreated = true;
          _cmpMap = new java.util.Hashtable();
        }
      }
    }
    if (!justCreated) {
      final java.lang.Object _cmpObj;
      _cmpObj= _cmpMap.get(_currentThread);
      if (_cmpObj != null) return o == _cmpObj;
    }
    if (o instanceof Halo.ElemLista) {
      _cmpMap.put(_currentThread, o);
      final Halo.ElemLista obj = (Halo.ElemLista)o;
      boolean res = true;
      do {
        if (res = (this.elemek.length == obj.elemek.length)) {
          for (int $counter1 = 0; res && $counter1 < this.elemek.length; $counter1++) {
            res = this.elemek[$counter1] == obj.elemek[$counter1] ||
             (this.elemek[$counter1] != null && obj.elemek[$counter1] != null && this.elemek[$counter1].equals(obj.elemek[$counter1]));
          }
        }
      } while (false);
      _cmpMap.remove(_currentThread);
      return res;
    }
    else {
      return false;
    }
  }

  public org.omg.CORBA.TypeCode _type () {
    return Halo.ElemListaHelper.type();
  }

  public void _read (final org.omg.CORBA.portable.InputStream _input) {
    final int $length2 = _input.read_long();
    elemek = new Halo.Elem[$length2];
    for (int $counter3 = 0; $counter3 < $length2; $counter3++) {
      elemek[$counter3] = Halo.ElemHelper.read(_input);
    }
  }

  public void _write (final org.omg.CORBA.portable.OutputStream _output) {
    if(elemek == null){
      throw new org.omg.CORBA.BAD_PARAM("Null parameter");
    }
    _output.write_long(elemek.length);
    for (int $counter4 = 0;  $counter4 < elemek.length; $counter4++) {
      Halo.ElemHelper.write(_output, elemek[$counter4]);
    }
  }

  private static java.lang.String[] _truncatable_ids = {
    "IDL:Halo/ElemLista:1.0"
  };

  public java.lang.String[] _truncatable_ids () {
    return _truncatable_ids;
  }
}
