package Halo;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "Halo.idl"
 * <li> <b>IDL Name</b>      ::Halo::Nyilvantarto
 * <li> <b>Repository Id</b> IDL:Halo/Nyilvantarto:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Nyilvantarto {
  ...
};
 * </pre>
 */
public interface NyilvantartoOperations {
  /**
   * <pre>
   *   Halo.SzamGep ujSzamGep (in string proc);
   * </pre>
   */
  public Halo.SzamGep ujSzamGep (java.lang.String proc);

  /**
   * <pre>
   *   Halo.Nyomtato ujNyomtato (in boolean szines);
   * </pre>
   */
  public Halo.Nyomtato ujNyomtato (boolean szines);

  /**
   * <pre>
   *   void osszeKapcs (in string elAz1, in string elAz2)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public void osszeKapcs (java.lang.String elAz1, 
                          java.lang.String elAz2) throws Halo.HibasAzonosito;

  /**
   * <pre>
   *   void szetBont (in string elAz1, in string elAz2)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public void szetBont (java.lang.String elAz1, 
                        java.lang.String elAz2) throws Halo.HibasAzonosito;

  /**
   * <pre>
   *   Halo.Elem torol (in string elAz)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public Halo.Elem torol (java.lang.String elAz) throws Halo.HibasAzonosito;

  /**
   * <pre>
   *   Halo.Elem leker (in string elAz)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public Halo.Elem leker (java.lang.String elAz) throws Halo.HibasAzonosito;

  /**
   * <pre>
   *   Halo.ElemLista lista ();
   * </pre>
   */
  public Halo.ElemLista lista ();

  /**
   * <pre>
   *   Halo.ElemLista kapcs (in string elAz)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public Halo.ElemLista kapcs (java.lang.String elAz) throws Halo.HibasAzonosito;

  /**
   * <pre>
   *   boolean vanKapcs (in string elAz1, in string elAz2)
    raises (Halo.HibasAzonosito, Halo.HibasKapcsolat);
   * </pre>
   */
  public boolean vanKapcs (java.lang.String elAz1, 
                           java.lang.String elAz2) throws Halo.HibasAzonosito, 
                                                          Halo.HibasKapcsolat;

}
