package Halo;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "Halo.idl"
 * <li> <b>IDL Name</b>      ::Halo::Nyilvantarto
 * <li> <b>Repository Id</b> IDL:Halo/Nyilvantarto:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Nyilvantarto {
  ...
};
 * </pre>
 */
public abstract class NyilvantartoPOA extends org.omg.PortableServer.Servant implements 
org.omg.CORBA.portable.InvokeHandler, Halo.NyilvantartoOperations {

  public Halo.Nyilvantarto _this () {
   return Halo.NyilvantartoHelper.narrow(super._this_object());
  }

  public Halo.Nyilvantarto _this (org.omg.CORBA.ORB orb) {
    return Halo.NyilvantartoHelper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:Halo/Nyilvantarto:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("ujSzamGep", new int[] { 0, 0 });
    _methods.put("ujNyomtato", new int[] { 0, 1 });
    _methods.put("osszeKapcs", new int[] { 0, 2 });
    _methods.put("szetBont", new int[] { 0, 3 });
    _methods.put("torol", new int[] { 0, 4 });
    _methods.put("leker", new int[] { 0, 5 });
    _methods.put("lista", new int[] { 0, 6 });
    _methods.put("kapcs", new int[] { 0, 7 });
    _methods.put("vanKapcs", new int[] { 0, 8 });
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    int[] method = (int[]) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method[0]) {
      case 0: {
        return Halo.NyilvantartoPOA._invoke(this, method[1], _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (Halo.NyilvantartoOperations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
  org.omg.CORBA.portable.OutputStream _output = null;
  {
    switch (_method_id) {
    case 0: {
      java.lang.String proc;
      proc = _input.read_string();
      Halo.SzamGep _result = _self.ujSzamGep(proc);
      _output = _handler.createReply();
      Halo.SzamGepHelper.write(_output, _result);
      return _output;
    }
    case 1: {
      boolean szines;
      szines = _input.read_boolean();
      Halo.Nyomtato _result = _self.ujNyomtato(szines);
      _output = _handler.createReply();
      Halo.NyomtatoHelper.write(_output, _result);
      return _output;
    }
    case 2: {
    try {
      java.lang.String elAz1;
      elAz1 = _input.read_string();
      java.lang.String elAz2;
      elAz2 = _input.read_string();
      _self.osszeKapcs(elAz1, elAz2);
      _output = _handler.createReply();
    }
    catch (Halo.HibasAzonosito _exception) {
      _output = _handler.createExceptionReply();
      Halo.HibasAzonositoHelper.write(_output, _exception);
    }
      return _output;
    }
    case 3: {
    try {
      java.lang.String elAz1;
      elAz1 = _input.read_string();
      java.lang.String elAz2;
      elAz2 = _input.read_string();
      _self.szetBont(elAz1, elAz2);
      _output = _handler.createReply();
    }
    catch (Halo.HibasAzonosito _exception) {
      _output = _handler.createExceptionReply();
      Halo.HibasAzonositoHelper.write(_output, _exception);
    }
      return _output;
    }
    case 4: {
    try {
      java.lang.String elAz;
      elAz = _input.read_string();
      Halo.Elem _result = _self.torol(elAz);
      _output = _handler.createReply();
      Halo.ElemHelper.write(_output, _result);
    }
    catch (Halo.HibasAzonosito _exception) {
      _output = _handler.createExceptionReply();
      Halo.HibasAzonositoHelper.write(_output, _exception);
    }
      return _output;
    }
    case 5: {
    try {
      java.lang.String elAz;
      elAz = _input.read_string();
      Halo.Elem _result = _self.leker(elAz);
      _output = _handler.createReply();
      Halo.ElemHelper.write(_output, _result);
    }
    catch (Halo.HibasAzonosito _exception) {
      _output = _handler.createExceptionReply();
      Halo.HibasAzonositoHelper.write(_output, _exception);
    }
      return _output;
    }
    case 6: {
      Halo.ElemLista _result = _self.lista();
      _output = _handler.createReply();
      Halo.ElemListaHelper.write(_output, _result);
      return _output;
    }
    case 7: {
    try {
      java.lang.String elAz;
      elAz = _input.read_string();
      Halo.ElemLista _result = _self.kapcs(elAz);
      _output = _handler.createReply();
      Halo.ElemListaHelper.write(_output, _result);
    }
    catch (Halo.HibasAzonosito _exception) {
      _output = _handler.createExceptionReply();
      Halo.HibasAzonositoHelper.write(_output, _exception);
    }
      return _output;
    }
    case 8: {
    try {
      java.lang.String elAz1;
      elAz1 = _input.read_string();
      java.lang.String elAz2;
      elAz2 = _input.read_string();
      boolean _result = _self.vanKapcs(elAz1, elAz2);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (Halo.HibasAzonosito _exception) {
      _output = _handler.createExceptionReply();
      Halo.HibasAzonositoHelper.write(_output, _exception);
    }
    catch (Halo.HibasKapcsolat _exception) {
      _output = _handler.createExceptionReply();
      Halo.HibasKapcsolatHelper.write(_output, _exception);
    }
      return _output;
    }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }
  }
}
