
package Halo;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "Halo.idl"
 * <li> <b>IDL Name</b>      ::Halo::Nyilvantarto
 * <li> <b>Repository Id</b> IDL:Halo/Nyilvantarto:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Nyilvantarto {
  ...
};
 * </pre>
 */
public class NyilvantartoPOATie extends NyilvantartoPOA {
  private Halo.NyilvantartoOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public NyilvantartoPOATie (final Halo.NyilvantartoOperations _delegate) {
    this._delegate = _delegate;
  }

  public NyilvantartoPOATie (final Halo.NyilvantartoOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public Halo.NyilvantartoOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final Halo.NyilvantartoOperations the_delegate) {
    this._delegate = the_delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   Halo.SzamGep ujSzamGep (in string proc);
   * </pre>
   */
  public Halo.SzamGep ujSzamGep (java.lang.String proc) {
    return this._delegate.ujSzamGep(proc);
  }

  /**
   * <pre>
   *   Halo.Nyomtato ujNyomtato (in boolean szines);
   * </pre>
   */
  public Halo.Nyomtato ujNyomtato (boolean szines) {
    return this._delegate.ujNyomtato(szines);
  }

  /**
   * <pre>
   *   void osszeKapcs (in string elAz1, in string elAz2)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public void osszeKapcs (java.lang.String elAz1, 
                          java.lang.String elAz2) throws  Halo.HibasAzonosito {
    this._delegate.osszeKapcs(elAz1, elAz2);
  }

  /**
   * <pre>
   *   void szetBont (in string elAz1, in string elAz2)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public void szetBont (java.lang.String elAz1, 
                        java.lang.String elAz2) throws  Halo.HibasAzonosito {
    this._delegate.szetBont(elAz1, elAz2);
  }

  /**
   * <pre>
   *   Halo.Elem torol (in string elAz)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public Halo.Elem torol (java.lang.String elAz) throws  Halo.HibasAzonosito {
    return this._delegate.torol(elAz);
  }

  /**
   * <pre>
   *   Halo.Elem leker (in string elAz)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public Halo.Elem leker (java.lang.String elAz) throws  Halo.HibasAzonosito {
    return this._delegate.leker(elAz);
  }

  /**
   * <pre>
   *   Halo.ElemLista lista ();
   * </pre>
   */
  public Halo.ElemLista lista () {
    return this._delegate.lista();
  }

  /**
   * <pre>
   *   Halo.ElemLista kapcs (in string elAz)
    raises (Halo.HibasAzonosito);
   * </pre>
   */
  public Halo.ElemLista kapcs (java.lang.String elAz) throws  Halo.HibasAzonosito {
    return this._delegate.kapcs(elAz);
  }

  /**
   * <pre>
   *   boolean vanKapcs (in string elAz1, in string elAz2)
    raises (Halo.HibasAzonosito, Halo.HibasKapcsolat);
   * </pre>
   */
  public boolean vanKapcs (java.lang.String elAz1, 
                           java.lang.String elAz2) throws  Halo.HibasAzonosito, 
                                                           Halo.HibasKapcsolat {
    return this._delegate.vanKapcs(elAz1, elAz2);
  }

}
